FreeMat

- Main Page
- Related Pages

vtkOpenGLLight

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOpenGLLight is a concrete implementation of the abstract class vtkLight. vtkOpenGLLight interfaces to the OpenGL rendering library.

To create an instance of class vtkOpenGLLight, simply invoke its constructor as follows

      obj = vtkOpenGLLight

# Methods

The class vtkOpenGLLight has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLLight class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLLight = obj.NewInstance ()`
- `vtkOpenGLLight = obj.SafeDownCast (vtkObject o)`
- `obj.Render (vtkRenderer ren, int light_index)` - Implement base class method.